nvidia-glG04-390.129-lp150.6.1.x86_64.rpm


Advertisement

Description

nvidia-glG04 - NVIDIA OpenGL libraries for OpenGL acceleration

Property Value
Distribution openSUSE Leap 15.0
Repository nVidia drivers all
Package filename nvidia-glG04-390.129-lp150.6.1.x86_64.rpm
Package name nvidia-glG04
Package version 390.129
Package release lp150.6.1
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage https://www.nvidia.com/object/unix.html
License SUSE-NonFree
Maintainer -
Download size 27.62 MB
Installed size 132.56 MB
This package provides the NVIDIA OpenGL libraries to allow OpenGL
acceleration under the closed-source NVIDIA drivers.

Alternatives

Package Version Architecture Repository
nvidia-glG04 - - -

Requires

Name Value
nvidia-gfxG04-kmp = 390.129
update-alternatives -
xorg-x11-server -

Provides

Name Value
config(nvidia-glG04) = 390.129-lp150.6.1
libEGL_nvidia.so.0 -
libEGL_nvidia.so.0()(64bit) -
libGLESv1_CM_nvidia.so.1 -
libGLESv1_CM_nvidia.so.1()(64bit) -
libGLESv2_nvidia.so.2 -
libGLESv2_nvidia.so.2()(64bit) -
libGLX_nvidia.so.0 -
libGLX_nvidia.so.0()(64bit) -
libnvidia-cfg.so.1()(64bit) -
libnvidia-egl-wayland.so.1()(64bit) -
libnvidia-eglcore.so.390.129 -
libnvidia-eglcore.so.390.129()(64bit) -
libnvidia-fbc.so.1()(64bit) -
libnvidia-glcore.so.390.129 -
libnvidia-glcore.so.390.129()(64bit) -
libnvidia-glsi.so.390.129 -
libnvidia-glsi.so.390.129()(64bit) -
libnvidia-ifr.so.1 -
libnvidia-ifr.so.1()(64bit) -
libnvidia-tls.so.390.129 -
libnvidia-tls.so.390.129()(64bit) -
nvidia-glG04 = 390.129-lp150.6.1
nvidia-glG04(x86-64) = 390.129-lp150.6.1
x11-video-nvidiaG04:/{_prefix}/X11R6/lib64/libGL.so.1 -

Conflicts

Name Value
nvidia-glG03 -

Download

Type URL
Mirror http.download.nvidia.com
Binary Package nvidia-glG04-390.129-lp150.6.1.x86_64.rpm
Source Package x11-video-nvidiaG04-390.129-lp150.6.1.nosrc.rpm

Install Howto

  1. Add the nVidia drivers repository:
    # zypper addrepo http://http.download.nvidia.com/opensuse/leap/15.0/ nvidia
  2. Install nvidia-glG04 rpm package:
    # zypper install nvidia-glG04

Files

Path
/etc/vulkan/
/etc/vulkan/icd.d/nvidia_icd.json
/usr/bin/nvidia-xconfig
/usr/lib/libEGL_nvidia.so.0
/usr/lib/libEGL_nvidia.so.390.129
/usr/lib/libGLESv1_CM_nvidia.so.1
/usr/lib/libGLESv1_CM_nvidia.so.390.129
/usr/lib/libGLESv2_nvidia.so.2
/usr/lib/libGLESv2_nvidia.so.390.129
/usr/lib/libGLX_nvidia.so.0
/usr/lib/libGLX_nvidia.so.390.129
/usr/lib/libnvidia-eglcore.so.390.129
/usr/lib/libnvidia-glcore.so.390.129
/usr/lib/libnvidia-glsi.so.390.129
/usr/lib/libnvidia-ifr.so.1
/usr/lib/libnvidia-ifr.so.390.129
/usr/lib/libnvidia-tls.so.390.129
/usr/lib/tls/libnvidia-tls.so.390.129
/usr/lib64/libEGL_nvidia.so.0
/usr/lib64/libEGL_nvidia.so.390.129
/usr/lib64/libGLESv1_CM_nvidia.so.1
/usr/lib64/libGLESv1_CM_nvidia.so.390.129
/usr/lib64/libGLESv2_nvidia.so.2
/usr/lib64/libGLESv2_nvidia.so.390.129
/usr/lib64/libGLX_nvidia.so.0
/usr/lib64/libGLX_nvidia.so.390.129
/usr/lib64/libnvidia-cfg.so.1
/usr/lib64/libnvidia-cfg.so.390.129
/usr/lib64/libnvidia-egl-wayland.so.1
/usr/lib64/libnvidia-egl-wayland.so.1.0.2
/usr/lib64/libnvidia-eglcore.so.390.129
/usr/lib64/libnvidia-fbc.so.1
/usr/lib64/libnvidia-fbc.so.390.129
/usr/lib64/libnvidia-glcore.so.390.129
/usr/lib64/libnvidia-glsi.so.390.129
/usr/lib64/libnvidia-ifr.so.1
/usr/lib64/libnvidia-ifr.so.390.129
/usr/lib64/libnvidia-tls.so.390.129
/usr/lib64/tls/libnvidia-tls.so.390.129
/usr/lib64/xorg/modules/extensions/
/usr/lib64/xorg/modules/extensions/nvidia/nvidia-libglx.so
/usr/share/egl/
/usr/share/egl/egl_external_platform.d/10_nvidia_wayland.json
/usr/share/glvnd/
/usr/share/glvnd/egl_vendor.d/10_nvidia.json

Changelog

2019-07-25 - Stefan Dirsch <sndirsch@suse.com>
- update to 390.129
* Improved nvidia-bug-report.sh to grab the output of the `vulkaninfo`
command when it is available.
- supersedes u_390.116-kernel-5.1-i586.diff, u_390.116-kernel-5.1.diff
2019-07-08 - Stefan Dirsch <sndirsch@suse.com>
- kmp-post.sh/kmp-trigger.sh
* exit with error code 1 from %post/%trigger, if kernel module
build/install fails (boo#1131028)
2019-07-02 - Stefan Dirsch <sndirsch@suse.com>
- no longer touch xorg.conf on suse >= sle12
2019-06-13 - Stefan Dirsch <sndirsch@suse.com>
- making use of parallel builds with make's -j option
2019-05-21 - Stefan Dirsch <sndirsch@suse.com>
- u_390.116-kernel-5.1.diff/u_390.116-kernel-5.1-i586.diff
* fixes build on Kernel 5.1 (http://rglinuxtech.com/?p=2530);
patch based on a fix, which was originally developed for 418.43
2019-02-21 - sndirsch@suse.com
- update to 390.116
* bugfixes
- supsersedes patches:
* check-for-swiotlb_map_sg_attrs.patch
* u_ipmi_user.patch
2019-01-26 - sndirsch@suse.com
- cleanup: run "prime-select unset" in %postun of nvidia-glG04
when uninstalling the package
2019-01-25 - sndirsch@suse.com
- adjusted prime-select calls to latest changes in suse-prime
2019-01-24 - sndirsch@suse.com
- u_ipmi_user.patch
* fixes build against Kernel 4.20
2019-01-17 - sndirsch@suse.com
- patch also kernel module sources on sle15-sp1/Leap 15.1; kernel
is still 4.12, but includes DRM backport from Kernel 4.19

See Also

Package Description
nvidia-glG05-435.21-lp150.19.1.x86_64.rpm NVIDIA OpenGL libraries for OpenGL acceleration
nvidia-uvm-gfxG03-kmp-default-340.107_k4.12.14_lp150.11-lp150.17.1.x86_64.rpm NVIDIA Unified Memory kernel module
x11-video-nvidiaG03-340.107-lp150.17.1.x86_64.rpm NVIDIA graphics driver for GeForce 8xxx and newer GPUs
x11-video-nvidiaG04-390.129-lp150.6.1.x86_64.rpm NVIDIA graphics driver for GeForce 400 series and newer
x11-video-nvidiaG05-435.21-lp150.19.1.x86_64.rpm NVIDIA graphics driver for GeForce 600 series and newer
Advertisement
Advertisement